reverse.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/facilities/empty.hpp>`
`#include <msgpack/preprocessor/seq/fold_left.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_REVERSE(seq) MSGPACK_PP_SEQ_REVERSE_I(seq)
#define | MSGPACK_PP_SEQ_REVERSE_I(seq) MSGPACK_PP_SEQ_FOLD_LEFT(MSGPACK_PP_SEQ_REVERSE_O, MSGPACK_PP_EMPTY, seq)()
#define | MSGPACK_PP_SEQ_REVERSE_O(s, state, elem) (elem) state
#define | MSGPACK_PP_SEQ_REVERSE_S(s, seq) MSGPACK_PP_SEQ_REVERSE_S_I(s, seq)
#define | MSGPACK_PP_SEQ_REVERSE_S_I(s, seq) MSGPACK_PP_SEQ_FOLD_LEFT_ ## s(MSGPACK_PP_SEQ_REVERSE_O, MSGPACK_PP_EMPTY, seq)()

## Macro Definition Documentation

## MSGPACK_PP_SEQ_REVERSE

#define MSGPACK_PP_SEQ_REVERSE | ( |  | seq | ) | MSGPACK_PP_SEQ_REVERSE_I(seq)

## MSGPACK_PP_SEQ_REVERSE_I

#define MSGPACK_PP_SEQ_REVERSE_I | ( |  | seq | ) | MSGPACK_PP_SEQ_FOLD_LEFT(MSGPACK_PP_SEQ_REVERSE_O, MSGPACK_PP_EMPTY, seq)()

## MSGPACK_PP_SEQ_REVERSE_O

#define MSGPACK_PP_SEQ_REVERSE_O | ( |  | s,
|  |  | state,
|  |  | elem
| ) |  | (elem) state

## MSGPACK_PP_SEQ_REVERSE_S

#define MSGPACK_PP_SEQ_REVERSE_S | ( |  | s,
|  |  | seq
| ) |  | MSGPACK_PP_SEQ_REVERSE_S_I(s, seq)

## MSGPACK_PP_SEQ_REVERSE_S_I

#define MSGPACK_PP_SEQ_REVERSE_S_I | ( |  | s,
|  |  | seq
| ) |  | MSGPACK_PP_SEQ_FOLD_LEFT_ ## s(MSGPACK_PP_SEQ_REVERSE_O, MSGPACK_PP_EMPTY, seq)()